<?php

//Functions for Flaboot4 


// defines theme name
load_theme_textdomain('flabs4');

// TGM Plugin Activation Class
require_once locate_template('/lib/tgm-plugin-activation/class-tgm-plugin-activation.php');

// add thumbnails feature

add_theme_support( 'post-thumbnails' ); 

add_image_size( 'hd-carousel', 1920, 1080 );

add_filter('show_admin_bar', '__return_false');

// enables menu
function register_flabs4_menus() {
  register_nav_menus(
    array(
      'header-menu' => __( 'Header Menu' ),
      'footer-menu' => __( 'Footer Menu' )
    )
  );
}
add_action( 'init', 'register_flabs4_menus' );

// Register Custom Navigation Walker
require_once('bs4navwalker.php');



// creates option page menu
function theme_settings_page(){

 ?>
	    <div class="wrap">
	    <h1>Flaboot4 WP options</h1>
	    <form method="post" action="options.php">
	        <?php
	            settings_fields("section");
	            do_settings_sections("theme-options");      
	            submit_button(); 
	        ?>          
	    </form>
		</div>
	<?php

}


function display_ego()

{

			
$sa_options = array( 'own_info' => '&copy; ' . date('Y') . get_bloginfo('name'),

			
);


	?>
    	<input type="text" name="own_info" id="own_info" value="<?php echo get_option('own_info', $sa_options); ?>" />
    <?php

}
/*
function display_twitter_element()
{
	?>
    	<input type="text" name="twitter_url" id="twitter_url" value="<?php echo get_option('twitter_url'); ?>" />
    <?php
}

function display_facebook_element()
{
	?>
    	<input type="text" name="facebook_url" id="facebook_url" value="<?php echo get_option('facebook_url'); ?>" />
    <?php
}*/
function display_ga_code()
{
	?>
    	<input type="text" name="ga_code" id="ga_code" value="<?php echo get_option('ga_code'); ?>" />
    <?php
}

function display_theme_panel_fields()
{
	add_settings_section("section", "All Settings", null, "theme-options");
 
 


	add_settings_field("own_info", "Overrides My name Company in footer", "display_ego", "theme-options", "section" );

	add_settings_field("ga_code", "Google Analytics code in form UA-XXXXXXX-X", "display_ga_code", "theme-options", "section");
	
//	add_settings_field("twitter_url", "Twitter Profile Url", "display_twitter_element", "theme-options", "section");
  //  add_settings_field("facebook_url", "Facebook Profile Url", "display_facebook_element", "theme-options", "section");
    register_setting("section", "own_info");
register_setting("section", "ga_code");
 //   register_setting("section", "twitter_url");
   // register_setting("section", "facebook_url");
}

add_action("admin_init", "display_theme_panel_fields");


function add_theme_menu_item()
{
	add_menu_page("Flaboot4 settings", "Flaboot4 settings", "manage_options", "theme-panel", "theme_settings_page", null, 99);
}

add_action("admin_menu", "add_theme_menu_item");


// enqueue scripts

function add_theme_scripts() {
  wp_enqueue_style( 'style', get_stylesheet_uri() );
  
  wp_deregister_script('jquery');
	wp_enqueue_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js', array(), null, true);
 wp_enqueue_script( 'popper', get_template_directory_uri() . '/assets/js/vendor/popper.min.js', array(), null, true);

  wp_enqueue_script( 'bs4jsmin', get_template_directory_uri() . '/js/bootstrap.min.js', array(), null, true);

  wp_enqueue_script( 'ie10fix', get_template_directory_uri() . '/assets/js/ie10-viewport-bug-workaround.js', array(), null, true);
 
  wp_enqueue_style( 'bs4cssmin', get_template_directory_uri() . '/css/bootstrap.min.css', array(), 'all');
 
   wp_enqueue_style( 'bs4cssgridmin', get_template_directory_uri() . '/css/bootstrap-grid.min.css', array(), 'all');
   wp_enqueue_style( 'bs4cssreboot', get_template_directory_uri() . '/css/bootstrap-reboot.min.css', array(), 'all');

 if ( is_front_page() ) {
  wp_enqueue_style( 'carousel', get_template_directory_uri() . '/css/carousel.css', array(), 'all');
    
  }

}
add_action( 'wp_enqueue_scripts', 'add_theme_scripts' );

// Featurettes
function create_featurettes() {
 
    register_post_type( 'featurettes',
    // CPT Options
        array(
            'labels' => array(
                'name' => __( 'Featurettes' ),
                'singular_name' => __( 'Featurette' )
            ),
           
'query_var'          => false,
'publicly_queryable' => false,
'public'             => true,
'rewrite' => array('slug' => 'featurettes'),
 'supports' => array( 'title', 'editor', 'thumbnail' )

        )
    );
}

// Hiding ACF from sidebar for non-admin
add_filter('acf/settings/show_admin', 'my_acf_show_admin');

function my_acf_show_admin( $show ) {
    
    return current_user_can('manage_options');
    
}

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_common',
		'title' => 'Common',
		'fields' => array (
		),
		'location' => array (
			array (
				array (
					'param' => 'user_type',
					'operator' => '==',
					'value' => 'administrator',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_services',
		'title' => 'Services',
		'fields' => array (
			array (
				'key' => 'field_59c0583181596',
				'label' => 'Icon 1',
				'name' => 'icon_circle_1',
				'type' => 'image',
				'instructions' => 'Choose image for the first service block.',
				'save_format' => 'object',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_59c06662c282c',
				'label' => 'Service Title 1',
				'name' => 'service_title_1',
				'type' => 'text',
				'instructions' => 'Title for the first block.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0680ec282d',
				'label' => 'Service body 1',
				'name' => 'service_body_1',
				'type' => 'text',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0587081597',
				'label' => 'Service link 1',
				'name' => 'icon_link_1',
				'type' => 'page_link',
				'post_type' => array (
					0 => 'page',
				),
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_59c068b7c282e',
				'label' => 'Icon 2',
				'name' => 'icon_circle_2',
				'type' => 'image',
				'instructions' => 'Choose image for the second service block.',
				'save_format' => 'object',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_59c068f730a51',
				'label' => 'Service Title 2',
				'name' => 'service_title_2',
				'type' => 'text',
				'instructions' => 'Title for the second block.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0690730a52',
				'label' => 'Service body 2',
				'name' => 'service_body_2',
				'type' => 'text',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0691430a53',
				'label' => 'Service link 2',
				'name' => 'service_link_2',
				'type' => 'page_link',
				'post_type' => array (
					0 => 'page',
				),
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_59c0695330a54',
				'label' => 'Icon 3',
				'name' => 'icon_circle_3',
				'type' => 'image',
				'instructions' => 'Choose image for the third service block.',
				'save_format' => 'object',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_59c0696230a55',
				'label' => 'Service Title 3',
				'name' => 'service_title_3',
				'type' => 'text',
				'instructions' => 'Title for the third block.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0697230a56',
				'label' => 'Service body 3',
				'name' => 'service_body_3',
				'type' => 'text',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_59c0697e30a57',
				'label' => 'Service link 3',
				'name' => 'service_link_3',
				'type' => 'page_link',
				'post_type' => array (
					0 => 'page',
				),
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_type',
					'operator' => '==',
					'value' => 'front_page',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}



// Hooking up our function to theme setup
add_action( 'init', 'create_featurettes' );



/**
 * Include the TGM_Plugin_Activation class.
 *
 * Depending on your implementation, you may want to change the include call:
 *
 * Parent Theme:
 * require_once get_template_directory() . '/lib/tgm-plugin-activation/class-tgm-plugin-activation.php';
 *
 * Child Theme:
 * require_once get_stylesheet_directory() . '/lib/tgm-plugin-activation/class-tgm-plugin-activation.php';
 *
 * Plugin:
 * require_once dirname( __FILE__ ) . '/lib/tgm-plugin-activation/class-tgm-plugin-activation.php';
 */
require_once get_template_directory() . '/lib/tgm-plugin-activation/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'flabs4_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register five plugins:
 * - one included with the TGMPA library
 * - two from an external source, one from an arbitrary source, one from a GitHub repository
 * - two from the .org repo, where one demonstrates the use of the `is_callable` argument
 *
 * The variables passed to the `tgmpa()` function should be:
 * - an array of plugin arrays;
 * - optionally a configuration array.
 * If you are not changing anything in the configuration array, you can remove the array and remove the
 * variable from the function call: `tgmpa( $plugins );`.
 * In that case, the TGMPA default settings will be used.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
function flabs4_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

	 // Require ACF
 array(
 'name'     => 'Advanced Custom Fields', // The plugin name
 'slug'     => 'advanced-custom-fields', // The plugin slug (typically the folder name)
 'source'   => 'http://downloads.wordpress.org/plugin/advanced-custom-fields.zip', // The plugin source
 'required' => true, // If false, the plugin is only 'recommended' instead of required
 'version' => '4.1.11', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
 'force_activation' => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
 'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
 'external_url' => '', // If set, overrides default API URL and points to an external URL
 ),
 

	

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'flabs4',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		/*
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'flabs4' ),
			'menu_title'                      => __( 'Install Plugins', 'flabs4' ),
			/* translators: %s: plugin name. * /
			'installing'                      => __( 'Installing Plugin: %s', 'flabs4' ),
			/* translators: %s: plugin name. * /
			'updating'                        => __( 'Updating Plugin: %s', 'flabs4' ),
			'oops'                            => __( 'Something went wrong with the plugin API.', 'flabs4' ),
			'notice_can_install_required'     => _n_noop(
				/* translators: 1: plugin name(s). * /
				'This theme requires the following plugin: %1$s.',
				'This theme requires the following plugins: %1$s.',
				'flabs4'
			),
			'notice_can_install_recommended'  => _n_noop(
				/* translators: 1: plugin name(s). * /
				'This theme recommends the following plugin: %1$s.',
				'This theme recommends the following plugins: %1$s.',
				'flabs4'
			),
			'notice_ask_to_update'            => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
				'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
				'flabs4'
			),
			'notice_ask_to_update_maybe'      => _n_noop(
				/* translators: 1: plugin name(s). * /
				'There is an update available for: %1$s.',
				'There are updates available for the following plugins: %1$s.',
				'flabs4'
			),
			'notice_can_activate_required'    => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following required plugin is currently inactive: %1$s.',
				'The following required plugins are currently inactive: %1$s.',
				'flabs4'
			),
			'notice_can_activate_recommended' => _n_noop(
				/* translators: 1: plugin name(s). * /
				'The following recommended plugin is currently inactive: %1$s.',
				'The following recommended plugins are currently inactive: %1$s.',
				'flabs4'
			),
			'install_link'                    => _n_noop(
				'Begin installing plugin',
				'Begin installing plugins',
				'flabs4'
			),
			'update_link' 					  => _n_noop(
				'Begin updating plugin',
				'Begin updating plugins',
				'flabs4'
			),
			'activate_link'                   => _n_noop(
				'Begin activating plugin',
				'Begin activating plugins',
				'flabs4'
			),
			'return'                          => __( 'Return to Required Plugins Installer', 'flabs4' ),
			'plugin_activated'                => __( 'Plugin activated successfully.', 'flabs4' ),
			'activated_successfully'          => __( 'The following plugin was activated successfully:', 'flabs4' ),
			/* translators: 1: plugin name. * /
			'plugin_already_active'           => __( 'No action taken. Plugin %1$s was already active.', 'flabs4' ),
			/* translators: 1: plugin name. * /
			'plugin_needs_higher_version'     => __( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'flabs4' ),
			/* translators: 1: dashboard link. * /
			'complete'                        => __( 'All plugins installed and activated successfully. %1$s', 'flabs4' ),
			'dismiss'                         => __( 'Dismiss this notice', 'flabs4' ),
			'notice_cannot_install_activate'  => __( 'There are one or more required or recommended plugins to install, update or activate.', 'flabs4' ),
			'contact_admin'                   => __( 'Please contact the administrator of this site for help.', 'flabs4' ),

			'nag_type'                        => '', // Determines admin notice type - can only be one of the typical WP notice classes, such as 'updated', 'update-nag', 'notice-warning', 'notice-info' or 'error'. Some of which may not work as expected in older WP versions.
		),
		*/
	);

	tgmpa( $plugins, $config );
}





?>